Auto-Search
5 endpoints from the published OpenAPI import.
GET/api/v1/auto-search
List auto-search jobs
Get paginated list of all auto-search jobs for the authenticated client
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
page | query | integer | false | Page number (starts at 1) |
page_size | query | integer | false | Items per page (max 100) |
status_filter | query | any | false | Filter by status |
Try it
Examples
cURL
curl -X GET 'https://spideriq.ai/api/v1/auto-search' \
-H 'Authorization: Bearer <token>'Python
import httpx
resp = httpx.get(
"https://spideriq.ai/api/v1/auto-search",
headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/auto-search", {
method: "GET",
headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);Go
package main
import (
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/auto-search", nil)
req.Header.Set("Authorization", "Bearer <token>")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
}Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |
POST/api/v1/auto-search
Submit new auto-search job
Submit a new auto-search job to automatically collect unique business results across a geographic area.
The system will:
- Generate location-specific queries based on the provided geography
- Submit queries to SpiderMaps workers in batches
- Deduplicate results by place_id
- Stop when the total_limit is reached or all locations are exhausted
- Upload results to R2 CDN
Examples:
- Search entire US:
{"keyword": "dentist", "country": "US"} - Search California:
{"keyword": "pizza", "country": "US", "state": "CA"} - Search Los Angeles:
{"keyword": "hotel", "country": "US", "state": "CA", "city": "Los Angeles"}
Try it
Examples
cURL
curl -X POST 'https://spideriq.ai/api/v1/auto-search' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"city": "Los Angeles",
"country": "US",
"keyword": "pizza restaurant",
"state": "CA",
"total_limit": 500
}'Python
import httpx
resp = httpx.post(
"https://spideriq.ai/api/v1/auto-search",
headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
json={"city": "Los Angeles", "country": "US", "keyword": "pizza restaurant", "state": "CA", "total_limit": 500},
)
resp.raise_for_status()
print(resp.json())JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/auto-search", {
method: "POST",
headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
body: JSON.stringify({"city": "Los Angeles", "country": "US", "keyword": "pizza restaurant", "state": "CA", "total_limit": 500})
});
const data = await resp.json();
console.log(data);Go
package main
import (
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{"city": "Los Angeles", "country": "US", "keyword": "pizza restaurant", "state": "CA", "total_limit": 500}`)
req, _ := http.NewRequest("POST", "https://spideriq.ai/api/v1/auto-search", body)
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
}Responses
| Status | Description |
|---|---|
201 | Successful Response |
422 | Validation Error |
GET/api/v1/auto-search/{auto_search_id}
Get auto-search status
Get detailed status and progress information for an auto-search job
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
auto_search_id | path | string | true |
Try it
Examples
cURL
curl -X GET 'https://spideriq.ai/api/v1/auto-search/{auto_search_id}' \
-H 'Authorization: Bearer <token>'Python
import httpx
resp = httpx.get(
"https://spideriq.ai/api/v1/auto-search/{auto_search_id}",
headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/auto-search/{auto_search_id}", {
method: "GET",
headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);Go
package main
import (
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/auto-search/{auto_search_id}", nil)
req.Header.Set("Authorization", "Bearer <token>")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
}Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |
DELETE/api/v1/auto-search/{auto_search_id}
Cancel auto-search job
Cancel a running auto-search job.
This will:
- Delete the job-specific RabbitMQ queues (cancels pending queries)
- Update the job status to 'cancelled'
- Clean up Redis tracking data
Already completed queries will remain in the results.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
auto_search_id | path | string | true |
Try it
Examples
cURL
curl -X DELETE 'https://spideriq.ai/api/v1/auto-search/{auto_search_id}' \
-H 'Authorization: Bearer <token>'Python
import httpx
resp = httpx.delete(
"https://spideriq.ai/api/v1/auto-search/{auto_search_id}",
headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/auto-search/{auto_search_id}", {
method: "DELETE",
headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);Go
package main
import (
"net/http"
)
func main() {
req, _ := http.NewRequest("DELETE", "https://spideriq.ai/api/v1/auto-search/{auto_search_id}", nil)
req.Header.Set("Authorization", "Bearer <token>")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
}Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |
GET/api/v1/auto-search/{auto_search_id}/results
Get auto-search results
Get download URL and metadata for auto-search results
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
auto_search_id | path | string | true |
Try it
Examples
cURL
curl -X GET 'https://spideriq.ai/api/v1/auto-search/{auto_search_id}/results' \
-H 'Authorization: Bearer <token>'Python
import httpx
resp = httpx.get(
"https://spideriq.ai/api/v1/auto-search/{auto_search_id}/results",
headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/auto-search/{auto_search_id}/results", {
method: "GET",
headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);Go
package main
import (
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/auto-search/{auto_search_id}/results", nil)
req.Header.Set("Authorization", "Bearer <token>")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
}Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |